GNU bug report logs - #40208
[PATCH] gnu: xchat: Add new pkg XChat IRC Client

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: R Veera Kumar <vkor@HIDDEN>; Keywords: patch wontfix; Done: Gábor Boskovits <boskovits@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 40208-done <at> debbugs.gnu.org:


Received: (at 40208-done) by debbugs.gnu.org; 30 Mar 2020 02:35:38 +0000
From boskovits@HIDDEN Sun Mar 29 09:27:54 2020
Received: from mail-wr1-f51.google.com ([209.85.221.51]:37068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1jIXyk-0001eS-7Q
 for 40208-done <at> debbugs.gnu.org; Sun, 29 Mar 2020 09:27:54 -0400
Received: by mail-wr1-f51.google.com with SMTP id w10so17734246wrm.4
 for <40208-done <at> debbugs.gnu.org>; Sun, 29 Mar 2020 06:27:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=EFW+mKGvkkoNh5OgFTOaQj2F41sRgK2o4/0lEf3kkis=;
 b=H1ySYORAcnwA8a7McnMDpL9PAENT5rSyBJVcMjV1CmpIqdIoLpzpLdfMIuh05lmszF
 L6XhuH3tzHbnOUSDKA2puzrp/ktr2OvkO6M7K0dc/+cGD7CIgAkNO4bKVwmRqpDNphTg
 tYD/RxjOpBmDcO1oz11kckEOBrvHCSn3WbSmMX83QzWMUc1joGYUP1tg4yFNtvHr8a2+
 08LBQ9hkEkis8HLYcxeebtHZOmQAOsCociFc893niVQxmKo20gO4ccFA1+TiGT689kMr
 1IWti1TFu/IAADYtRHiz1oJ4BwrmVcHgJBV4likO2S4BXW6c0VWnNp1DvnX15qXmNH3H
 WGcw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:content-transfer-encoding;
 bh=EFW+mKGvkkoNh5OgFTOaQj2F41sRgK2o4/0lEf3kkis=;
 b=Pnc0zvWBeaqbPVOt19hqUZgPpqFIiwh+92Y3/mdqgDYUMKtkcWmS9a/cbniW3rOLs3
 y3OA3Ne0g0OMPwLbIorEXtulubaAqrmmK+OVlfrSa5EuQw86pnNG7fmwKo8cP9CcKioE
 6a0aSvTztBTKtAoSuu5N33Hs2aqq5B5VBhEI/fn9A02qZKrpORn40XzCjIbKr2DKK0mF
 qHMNtjzqnii0csve9Fgo4xvYh9/LCLzu3/0apsFukyhdd1LpNEonrnJKhIFlZxwJyGYK
 NuEHWV8DhNxax4UV0f+CA5BU0GwPfacF5l0ct0dmGDeAOLiPJVHEtjbLpatPP19L5KSN
 ORkw==
X-Gm-Message-State: ANhLgQ2aHaAsonzvV8pRTlBynhVi0c8zOmIsLZIO3VJVagpiE1pVI5To
 qGizbRlD8kH3P0riynQMAO4+dDDbGKb3PBXsJZutMFk=
X-Google-Smtp-Source: ADFU+vv73qiYQuDjioH9fLrUWIL7Z2jpSp/seNfHdaeCJvuJkD1GuHFwohDmnSzdL09rXnh6+D6c2iROHxJ1WOA5mFI=
X-Received: by 2002:a5d:550c:: with SMTP id b12mr9833662wrv.304.1585488468096; 
 Sun, 29 Mar 2020 06:27:48 -0700 (PDT)
MIME-Version: 1.0
References: <CAE4v=pj+DsmoG+dfMTyTH5pzuEz-CrrAr3W5_R9GUioM=WCx0g@HIDDEN>
In-Reply-To: <CAE4v=pj+DsmoG+dfMTyTH5pzuEz-CrrAr3W5_R9GUioM=WCx0g@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Sun, 29 Mar 2020 15:27:37 +0200
Message-ID: <CAE4v=pi-8azQsAi1tmnPPVTe4Z62d81mnrZg-Tn61qm3Kbt8-Q@HIDDEN>
Subject: Fwd: Closing XChat won't fix
To: 40208-done <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40208-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 13:27:54 -0000

---------- Forwarded message ---------
Felad=C3=B3: G=C3=A1bor Boskovits <boskovits@HIDDEN>
Date: 2020. m=C3=A1rc. 29., V, 14:30
Subject: Closing XChat won't fix
To: <40208-done <at> debbugs.gnu.org>


First of all, thanks for this patch.

As the patch is for inclusion unmaintained software with several known
bugs, this will not be merged.

Nevertheless keeping it in the tracker will help others not to run
into this again.

As this is a working recipe I would vouch for it as a valid and
completed contribution.

Best regards,
g_bor
--
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21


--=20
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21




Information forwarded to guix-patches@HIDDEN:
bug#40208; Package guix-patches. Full text available.
bug closed, send any further explanations to 40208 <at> debbugs.gnu.org and R Veera Kumar <vkor@HIDDEN> Request was from Gábor Boskovits <boskovits@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Gábor Boskovits <boskovits@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40208 <at> debbugs.gnu.org:


Received: (at 40208) by debbugs.gnu.org; 24 Mar 2020 10:21:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 06:21:14 2020
Received: from localhost ([127.0.0.1]:53923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGggM-0002qQ-1V
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 06:21:14 -0400
Received: from vkten.in ([104.244.73.96]:56660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vkor@HIDDEN>) id 1jGg9s-0001w2-MD
 for 40208 <at> debbugs.gnu.org; Tue, 24 Mar 2020 05:47:41 -0400
Received: (qmail 1844 invoked from network); 24 Mar 2020 09:47:32 -0000
Received: from unknown (HELO tulip) (vkor@HIDDEN@117.202.224.5)
 de/crypted with TLSv1.3: TLS_AES_256_GCM_SHA384 [256/256] DN=none
 by vkten with ESMTPSA; 24 Mar 2020 09:47:32 -0000
Date: Tue, 24 Mar 2020 15:17:23 +0530
From: R Veera Kumar <vkor@HIDDEN>
To: 40208 <at> debbugs.gnu.org
Subject: [PATCH] gnu: xchat: Add new xchat package
Message-ID: <20200324094723.GA3296@tulip>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40208
X-Mailman-Approved-At: Tue, 24 Mar 2020 06:21:12 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Add XChat IRC client for X

Signed-off-by: R Veera Kumar <vkor@HIDDEN>
---
 .../xchat-2.8.8-configure-with-gmodule.patch  | 29 +++++++++++
 .../xchat-2.8.8-glib-single-include.patch     | 47 ++++++++++++++++++
 gnu/packages/xchat.scm                        | 49 +++++++++++++++++++
 3 files changed, 125 insertions(+)
 create mode 100644 gnu/packages/patches/xchat-2.8.8-configure-with-gmodule.patch
 create mode 100644 gnu/packages/patches/xchat-2.8.8-glib-single-include.patch
 create mode 100644 gnu/packages/xchat.scm

diff --git a/gnu/packages/patches/xchat-2.8.8-configure-with-gmodule.patch b/gnu/packages/patches/xchat-2.8.8-configure-with-gmodule.patch
new file mode 100644
index 0000000000..ee8c347089
--- /dev/null
+++ b/gnu/packages/patches/xchat-2.8.8-configure-with-gmodule.patch
@@ -0,0 +1,29 @@
+Description: Don't strip -lgmodule-2.0 from RDYNAMIC_LIBS
+Author: R Veera Kumar <vkor@HIDDEN>
+
+---
+diff -uN a/configure b/configure
+--- a/configure	2020-03-22 07:31:13.869314485 +0530
++++ b/configure	2020-03-22 07:33:25.295563550 +0530
+@@ -18010,7 +18010,7 @@
+ fi
+ 
+ 
+-				RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs | $sedpath 's/ -lgmodule-2.0//'`"
++				RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs`"
+ 		LIBS="$LIBS $RDYNAMIC_FLAGS"
+ 		if test "$LD" = ""; then
+ 			VS="`ld --help | grep version-script 2> /dev/null`"
+diff -uN a/configure.in b/configure.in
+--- a/configure.in	2020-03-22 07:26:51.872539516 +0530
++++ b/configure.in	2020-03-22 07:32:28.192334665 +0530
+@@ -445,8 +445,7 @@
+ 	if test "$have_dl" = yes; then
+ 		AC_DEFINE(USE_PLUGIN)
+ 		AC_PATH_PROG(pkgconfigpath, pkg-config)
+-		dnl we just need the -Wl,--export-dynamic, but not -lgmodule-2.0
+-		RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs | $sedpath 's/ -lgmodule-2.0//'`"
++		RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs`"
+ 		LIBS="$LIBS $RDYNAMIC_FLAGS"
+ 		if test "$LD" = ""; then
+ 			VS="`ld --help | grep version-script 2> /dev/null`"
diff --git a/gnu/packages/patches/xchat-2.8.8-glib-single-include.patch b/gnu/packages/patches/xchat-2.8.8-glib-single-include.patch
new file mode 100644
index 0000000000..e19b3b22e1
--- /dev/null
+++ b/gnu/packages/patches/xchat-2.8.8-glib-single-include.patch
@@ -0,0 +1,47 @@
+--- a/src/common/servlist.c
++++ b/src/common/servlist.c
+@@ -24,7 +24,7 @@
+ #include <unistd.h>
+ 
+ #include "xchat.h"
+-#include <glib/ghash.h>
++#include <glib.h>
+ 
+ #include "cfgfiles.h"
+ #include "fe.h"
+--- a/src/common/text.c
++++ b/src/common/text.c
+@@ -28,7 +28,7 @@
+ #include <sys/mman.h>
+ 
+ #include "xchat.h"
+-#include <glib/ghash.h>
++#include <glib.h>
+ #include "cfgfiles.h"
+ #include "chanopt.h"
+ #include "plugin.h"
+--- a/src/common/util.c
++++ b/src/common/util.c
+@@ -39,7 +39,7 @@
+ #include <errno.h>
+ #include "xchat.h"
+ #include "xchatc.h"
+-#include <glib/gmarkup.h>
++#include <glib.h>
+ #include <ctype.h>
+ #include "util.h"
+ #include "../../config.h"
+--- a/src/common/xchat.h
++++ b/src/common/xchat.h
+@@ -1,10 +1,6 @@
+ #include "../../config.h"
+ 
+-#include <glib/gslist.h>
+-#include <glib/glist.h>
+-#include <glib/gutils.h>
+-#include <glib/giochannel.h>
+-#include <glib/gstrfuncs.h>
++#include <glib.h>
+ #include <time.h>			/* need time_t */
+ 
+ #ifndef XCHAT_H
diff --git a/gnu/packages/xchat.scm b/gnu/packages/xchat.scm
new file mode 100644
index 0000000000..551a8e3ca5
--- /dev/null
+++ b/gnu/packages/xchat.scm
@@ -0,0 +1,49 @@
+(define-module (gnu packages xchat)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix build-system gnu)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages image)
+  #:use-module (gnu packages pkg-config))
+
+(define-public xchat
+  (package
+    (name "xchat")
+    (version "2.8.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://xchat.org/files/source/2.8/xchat-"
+                           version ".tar.xz"))
+       (sha256
+        (base32 "02riy26ssnvqkbzvlc2lihdwfjh02j6fvl5xbmzy2xjmggcazdrp"))
+       (patches
+        (search-patches
+        "xchat-2.8.8-configure-with-gmodule.patch"
+        "xchat-2.8.8-glib-single-include.patch"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("libpng" ,libpng)
+       ("pango" ,pango)
+       ("glib" ,glib)
+       ("atk" , atk)
+       ("gtk+" ,gtk+-2)))
+    (arguments
+     `(#:configure-flags
+       (list
+         "--enable-plugin"
+         "--disable-nls"
+         "--disable-python"
+         "--disable-perl")
+       #:tests? #f))
+    (home-page "http://xchat.org/")
+    (synopsis "Graphical IRC client for X")
+    (description
+     "XChat is a fully-featured graphical IRC client using the GTK+ toolkit.
+It supports multiple server/channel windows, dialog windows and a plugin API.")
+    (license license:gpl2)))
-- 
2.25.1





Information forwarded to guix-patches@HIDDEN:
bug#40208; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Mar 2020 09:34:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 24 05:34:53 2020
Received: from localhost ([127.0.0.1]:53885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jGfxV-0001am-KR
	for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 05:34:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:46040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vkor@HIDDEN>) id 1jGfoY-0001LJ-5d
 for submit <at> debbugs.gnu.org; Tue, 24 Mar 2020 05:25:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44813)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <vkor@HIDDEN>) id 1jGfoX-0000Qp-4r
 for guix-patches@HIDDEN; Tue, 24 Mar 2020 05:25:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vkor@HIDDEN>) id 1jGfoW-0001rh-6A
 for guix-patches@HIDDEN; Tue, 24 Mar 2020 05:25:37 -0400
Received: from vkten.in ([104.244.73.96]:39866)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vkor@HIDDEN>) id 1jGfoV-0001mM-Tn
 for guix-patches@HIDDEN; Tue, 24 Mar 2020 05:25:36 -0400
Received: (qmail 1408 invoked from network); 24 Mar 2020 09:25:33 -0000
Received: from unknown (HELO tulip) (vkor@HIDDEN@117.202.224.5)
 de/crypted with TLSv1.3: TLS_AES_256_GCM_SHA384 [256/256] DN=none
 by vkten with ESMTPSA; 24 Mar 2020 09:25:33 -0000
Date: Tue, 24 Mar 2020 14:55:26 +0530
From: R Veera Kumar <vkor@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: xchat: Add new pkg XChat IRC Client
Message-ID: <20200324092526.GA3208@tulip>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 104.244.73.96
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 24 Mar 2020 05:34:52 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Add the XChat IRC client for Guix.

As per IRC Chat in #guix drakonis, brendyyn objected to inclusion of this
in guix. They said xchat is old, unmaintained software and no new release
since 2010. Hexchat is new maintained version. Debian 10 stills pkgs it.

Gabor Boskovits told me send in it as wontfix and be put in issue tracker.

Regards,
Veera




Acknowledgement sent to R Veera Kumar <vkor@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40208; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.